Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class BaseTransform

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.BaseTransform

All Implemented Interfaces:
  IBaseTransform

Direct Known Subclasses:
  BaseQueryDefinition, GroupDefinition

    public abstract class BaseTransform

extends java.lang.Object
implements IBaseTransform

Default implementation of `IBaseTransform` interface.

Field Summary
`static int` | `AFTER_LAST_ROW` The expression is evaluated after the last row in the series.
`protected java.util.List` | `afterExpressions`
`static int` | `BEFORE_FIRST_ROW` The expression is evaluated before the first row in the series.
`protected java.util.List` | `beforeExpressions`
`protected java.util.List` | `filters`
`static int` | `ON_EACH_ROW` The expression is evaluated on each row.
`protected java.util.List` | `rowExpressions`
`protected java.util.List` | `sorts`
`protected java.util.List` | `subqueries`

Constructor Summary
`BaseTransform()`

Method Summary
`void` | `addFilter(IFilterDefinition filter)` Add one filter to the filter list
`void` | `addSort(SortDefinition sort)` Appends one sort definition to the list of sort criteria
`void` | `addSubquery(SubqueryDefinition subquery)` Add a subquery to the list
`java.util.List` | `getFilters()` Returns the filters defined in this transform, as an ordered list of `IFilterDefintion` objects.
`java.util.List` | `getSorts()` Returns the sort criteria as an ordered list of `SortDefinition` objects.
`java.util.Collection` | `getSubqueries()` Returns an unordered collection of subqueries that are alternative views of the result set for this transform.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEFORE_FIRST_ROW

    public static final int BEFORE_FIRST_ROW

  The expression is evaluated before the first row in the series. A constant for the expressionTiming parameter of addExpression.

  See Also:
    Constant Field Values

### AFTER_LAST_ROW

    public static final int AFTER_LAST_ROW

  The expression is evaluated after the last row in the series. A constant for the expressionTiming parameter of addExpression.

  See Also:
    Constant Field Values

### ON_EACH_ROW

    public static final int ON_EACH_ROW

  The expression is evaluated on each row. A constant for the expressionTiming parameter of addExpression.

  See Also:
    Constant Field Values

### filters

    protected java.util.List filters

### subqueries

    protected java.util.List subqueries

### sorts

    protected java.util.List sorts

### rowExpressions

    protected java.util.List rowExpressions

### beforeExpressions

    protected java.util.List beforeExpressions

### afterExpressions

    protected java.util.List afterExpressions

Constructor Detail

### BaseTransform

    public BaseTransform()

Method Detail

### getFilters

    public java.util.List getFilters()

  Returns the filters defined in this transform, as an ordered list of `IFilterDefintion` objects.

  Specified by:
    `getFilters` in interface `IBaseTransform`
  Returns:
    the filters. null if no filter is defined.

### addFilter

    public void addFilter(IFilterDefinition filter)

  Add one filter to the filter list

### getSubqueries

    public java.util.Collection getSubqueries()

  Returns an unordered collection of subqueries that are alternative views of the result set for this transform. Objects are of type `SubqueryDefinition`.

  Specified by:
    `getSubqueries` in interface `IBaseTransform`
  Returns:
    the subqueries for this transform
  See Also:
    `ISubqueryDefinition`

### addSubquery

    public void addSubquery(SubqueryDefinition subquery)

  Add a subquery to the list

  Parameters:
    `subquery` - one subquery to add to the subquery set

### getSorts

    public java.util.List getSorts()

  Returns the sort criteria as an ordered list of `SortDefinition` objects.

  Specified by:
    `getSorts` in interface `IBaseTransform`
  Returns:
    the sort criteria

### addSort

    public void addSort(SortDefinition sort)

  Appends one sort definition to the list of sort criteria

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.